Bug 1415703 - [abrt] plasma-workspace: elf_machine_rela(): kcminit killed by SIGSEGV
Summary: [abrt] plasma-workspace: elf_machine_rela(): kcminit killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:206252579554de4d51afeb5ef6f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 13:22 UTC by Oliver Sampson
Modified: 2017-08-08 19:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:35:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (111.94 KB, text/plain)
2017-01-23 13:23 UTC, Oliver Sampson
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-23 13:23 UTC, Oliver Sampson
no flags Details
File: core_backtrace (5.05 KB, text/plain)
2017-01-23 13:23 UTC, Oliver Sampson
no flags Details
File: dso_list (16.00 KB, text/plain)
2017-01-23 13:23 UTC, Oliver Sampson
no flags Details
File: environ (1.59 KB, text/plain)
2017-01-23 13:23 UTC, Oliver Sampson
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-23 13:23 UTC, Oliver Sampson
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-23 13:23 UTC, Oliver Sampson
no flags Details
File: maps (69.02 KB, text/plain)
2017-01-23 13:23 UTC, Oliver Sampson
no flags Details
File: mountinfo (3.25 KB, text/plain)
2017-01-23 13:23 UTC, Oliver Sampson
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-23 13:23 UTC, Oliver Sampson
no flags Details
File: open_fds (811 bytes, text/plain)
2017-01-23 13:23 UTC, Oliver Sampson
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-23 13:23 UTC, Oliver Sampson
no flags Details
File: var_log_messages (487 bytes, text/plain)
2017-01-23 13:23 UTC, Oliver Sampson
no flags Details

Description Oliver Sampson 2017-01-23 13:22:53 UTC
Description of problem:
Happened after the screen locker engaged.

Version-Release number of selected component:
plasma-workspace-5.8.5-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/kcminit mouse
crash_function: elf_machine_rela
executable:     /usr/bin/kcminit
global_pid:     9152
kernel:         4.9.4-100.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 elf_machine_rela at ../sysdeps/x86_64/dl-machine.h:425
 #1 elf_dynamic_do_Rela at do-rel.h:137
 #2 _dl_relocate_object at dl-reloc.c:258
 #3 dl_open_worker at dl-open.c:424
 #4 _dl_catch_error at dl-error.c:187
 #5 _dl_open at dl-open.c:649
 #6 dlopen_doit at dlopen.c:66
 #7 _dl_catch_error at dl-error.c:187
 #8 _dlerror_run at dlerror.c:163
 #9 __dlopen at dlopen.c:87

Comment 1 Oliver Sampson 2017-01-23 13:23:01 UTC
Created attachment 1243590 [details]
File: backtrace

Comment 2 Oliver Sampson 2017-01-23 13:23:02 UTC
Created attachment 1243591 [details]
File: cgroup

Comment 3 Oliver Sampson 2017-01-23 13:23:04 UTC
Created attachment 1243592 [details]
File: core_backtrace

Comment 4 Oliver Sampson 2017-01-23 13:23:05 UTC
Created attachment 1243593 [details]
File: dso_list

Comment 5 Oliver Sampson 2017-01-23 13:23:07 UTC
Created attachment 1243594 [details]
File: environ

Comment 6 Oliver Sampson 2017-01-23 13:23:08 UTC
Created attachment 1243595 [details]
File: exploitable

Comment 7 Oliver Sampson 2017-01-23 13:23:09 UTC
Created attachment 1243596 [details]
File: limits

Comment 8 Oliver Sampson 2017-01-23 13:23:11 UTC
Created attachment 1243597 [details]
File: maps

Comment 9 Oliver Sampson 2017-01-23 13:23:13 UTC
Created attachment 1243598 [details]
File: mountinfo

Comment 10 Oliver Sampson 2017-01-23 13:23:14 UTC
Created attachment 1243599 [details]
File: namespaces

Comment 11 Oliver Sampson 2017-01-23 13:23:16 UTC
Created attachment 1243600 [details]
File: open_fds

Comment 12 Oliver Sampson 2017-01-23 13:23:17 UTC
Created attachment 1243601 [details]
File: proc_pid_status

Comment 13 Oliver Sampson 2017-01-23 13:23:19 UTC
Created attachment 1243602 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-07-26 00:12:43 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 19:35:52 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.